#
# spec file for package rubygem-mysql2
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mysql2
Version:        0.3.19
Release:        5.21
%define mod_name mysql2
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  mysql-devel
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/brianmario/mysql2
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-mysql2-rpmlintrc
Source2:        gem2rpm.yml
Summary:        A simple, fast Mysql library for Ruby, binding to libmysql
License:        MIT
Group:          Development/Languages/Ruby

%description
A simple, fast Mysql library for Ruby, binding to libmysql.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Fri Jul 31 2015 coolo@suse.com
- updated to version 0.3.19
  no changelog found
* Fri Apr  3 2015 mrueckert@suse.de
- add rpmlintrc
* Tue Feb 17 2015 coolo@suse.com
- updated to version 0.3.18
* Mon Feb  9 2015 coolo@suse.com
- updated to version 0.3.17, no changelog
* Wed Oct 22 2014 coolo@suse.com
- update to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 0.3.16
* Thu Feb  6 2014 coolo@suse.com
- updated to version 0.3.15, no changelog maintained
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.3.14, no changelog maintained
* Sat Jul 20 2013 coolo@suse.com
- updated to version 0.3.13, changelog dropped upstream
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Jan  5 2012 mrueckert@suse.de
- update to 0.3.11
  see /usr/lib*/ruby/gems/1.8/gems/mysql2-0.3.11/CHANGELOG.md
* Wed Sep 21 2011 mrueckert@suse.de
- update to 0.3.7
  see /usr/lib*/ruby/gems/1.8/gems/mysql2-0.3.7/CHANGELOG.md
* Thu Dec  9 2010 chris@computersalat.de
- update to 0.2.6
  * version bump since the 0.2.5 win32 binary gems were broken
- 0.2.5 (October 19th, 2010)
  * fixes for easier Win32 binary gem deployment for targeting 1.8 and
    1.9 in the same gem
  * refactor of connection checks and management to avoid race
    conditions with the GC/threading to prevent the unexpected loss
    of connections
  * update the default flags during connection
  * add support for setting wait_timeout on AR adapter
  * upgrade to rspec2
  * bugfix for an edge case where the GC would clean up a Mysql2::Client
    object before the underlying MYSQL pointer had been initialized
  * fix to CFLAGS to allow compilation on SPARC with sunstudio compiler
  - Anko painting anko.com+github@gmail.com
- 0.2.4 (September 17th, 2010)
  * a few patches for win32 support from Luis Lavena - thanks man!
  * bugfix from Eric Wong to avoid a potential stack overflow during
    Mysql2::Client#escape
  * added the ability to turn internal row caching on/off via the
    :cache_rows => true/false option
  * a couple of small patches for rbx compatibility
  * set IndexDefinition#length in AR adapter
  - Kouhei Yanagita yanagi@shakenbu.org
  * fix a long-standing data corruption bug - thank you thank you
    thank you to @joedamato (http://github.com/ice799)
  * bugfix from calling mysql_close on a closed/freed connection
    surfaced by the above fix
- 0.2.3 (August 20th, 2010)
  * connection flags can now be passed to the constructor via the
    :flags key
  * switch AR adapter connection over to use FOUND_ROWS option
  * patch to ensure we use DateTime objects in place of Time for
    timestamps that are out of the supported range on
    32bit platforms < 1.9.2
- 0.2.2 (August 19th, 2010)
  * Change how AR adapter would send initial commands upon connecting
  * * we can make multiple session variable assignments in a single
    query
  * fix signal handling when waiting on queries
  * retry connect if interrupted by signals
- 0.2.1 (August 16th, 2010)
  * bring mysql2 ActiveRecord adapter back into gem
- 0.2.0 (August 16th, 2010)
  * switch back to letting libmysql manage all
    allocation/thread-state/freeing for the connection
  * cache various numeric type conversions in hot-spots of the code
    for a little speed boost
  * ActiveRecord adapter moved into Rails 3 core ** Don't worry
    2.3.x users! We'll either release the adapter as a separate gem,
    or try to get it into 2.3.9
  * Fix for the "closed MySQL connection" error (GH #31)
  * Fix for the "can't modify frozen object" error in 1.9.2 (GH #37)
  * Introduce cascading query and result options (more info in README)
  * Sequel adapter pulled into core (will be in the next release
  - 3.15.0 at the time of writing)
  * add a safety check when attempting to send a query before a result
    has been fetched
- fix license
  o MIT-LICENSE
* Wed Jul 28 2010 mrueckert@suse.de
- initial package 0.1.9
